esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
bno08x_tap_detector_t Struct Reference

Struct to represent tap detector data (flag meaning: 0 = no tap, 1 = positive tap on axis, -1 = negative tap on axis) More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions
| bno08x_tap_detector_t ()
bno08x_tap_detector_t & | operator= (const sh2_TapDetector_t &source)

## Public Attributes
int8_t | x_flag
int8_t | y_flag
int8_t | z_flag
bool | double_tap
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent tap detector data (flag meaning: 0 = no tap, 1 = positive tap on axis, -1 = negative tap on axis)

## Constructor & Destructor Documentation

## ◆ bno08x_tap_detector_t()

bno08x_tap_detector_t::bno08x_tap_detector_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

bno08x_tap_detector_t & bno08x_tap_detector_t::operator= | ( | const sh2_TapDetector_t & | source | ) |
| inline

## Member Data Documentation

## ◆ accuracy

BNO08xAccuracy bno08x_tap_detector_t::accuracy

## ◆ double_tap

bool bno08x_tap_detector_t::double_tap

## ◆ x_flag

int8_t bno08x_tap_detector_t::x_flag

## ◆ y_flag

int8_t bno08x_tap_detector_t::y_flag

## ◆ z_flag

int8_t bno08x_tap_detector_t::z_flag

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xGlobalTypes.hpp